summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author Andrew Strong <andrew.david.strong@gmail.com>2020-05-03 00:21:31 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2020-05-03 00:21:31 +0700
commitd49eb12846786c583daf2f4e1e8dcd56314cce70 (patch)
tree0beb5276ba4cbea27130f9baeabe699a03e7bca0 /audio
parentfa432ffa6983e97461b17a3eabf90ae5259ed304 (diff)
downloadslackbuilds-d49eb12846786c583daf2f4e1e8dcd56314cce70.tar.gz
slackbuilds-d49eb12846786c583daf2f4e1e8dcd56314cce70.tar.xz
audio/exhale: Added (a CLI xHE-AAC encoder).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'audio')
-rw-r--r--audio/exhale/README4
-rw-r--r--audio/exhale/exhale.SlackBuild93
-rw-r--r--audio/exhale/exhale.info10
-rw-r--r--audio/exhale/slack-desc19
4 files changed, 126 insertions, 0 deletions
diff --git a/audio/exhale/README b/audio/exhale/README
new file mode 100644
index 0000000000..7651261bd0
--- /dev/null
+++ b/audio/exhale/README
@@ -0,0 +1,4 @@
+exhale, which is an acronym for "Ecodis eXtended High-efficiency And
+Low-complexity Encoder", is the first Open Source xHE-AAC encoder
+available to Linux users. It has a command line interface to convert
+wav files to xHE-AAC (USAC) files.
diff --git a/audio/exhale/exhale.SlackBuild b/audio/exhale/exhale.SlackBuild
new file mode 100644
index 0000000000..f87479e491
--- /dev/null
+++ b/audio/exhale/exhale.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/sh
+# ----------------------------------------------------------------------
+# Slackware build script for exhale
+#
+# Copyright (c) 2020 Andrew Strong, Blue Mountains, Australia.
+#
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+# ----------------------------------------------------------------------
+
+PRGNAM=exhale
+VERSION=${VERSION:-1.0.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# SLKCFLAGS and LIBDIRSUFFIX are not used but remain in place for possible
+# future use as exhale's installation routine matures. 'BUILD32=1' will
+# build a 32bit exhale while 'BUILD32=0' will build a 64bit exhale:
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+ BUILDTARGET="BUILD32=1"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+ BUILDTARGET="BUILD32=1"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+ BUILDTARGET="BUILD32=0"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+ BUILDTARGET="BUILD32=0"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-v$VERSION
+tar xvf $CWD/$PRGNAM-v$VERSION.tar.gz
+cd $PRGNAM-v$VERSION
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make $BUILDTARGET release
+install -D -s -m 0755 bin/exhale $PKG/usr/bin/exhale
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README.md include/{License.htm,Release.htm,styles.css} $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/exhale/exhale.info b/audio/exhale/exhale.info
new file mode 100644
index 0000000000..7d94a0bb65
--- /dev/null
+++ b/audio/exhale/exhale.info
@@ -0,0 +1,10 @@
+PRGNAM="exhale"
+VERSION="1.0.3"
+HOMEPAGE="https://gitlab.com/ecodis/exhale"
+DOWNLOAD="https://gitlab.com/ecodis/exhale/-/archive/v1.0.3/exhale-v1.0.3.tar.gz"
+MD5SUM="1696380ebe741126575d7ac3520922d5"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Andrew Strong"
+EMAIL="andrew.david.strong@gmail.com"
diff --git a/audio/exhale/slack-desc b/audio/exhale/slack-desc
new file mode 100644
index 0000000000..fac7c0d9da
--- /dev/null
+++ b/audio/exhale/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+exhale: exhale (a CLI xHE-AAC encoder)
+exhale:
+exhale: An Open Source encoder to convert wav files to xHE-AAC (USAC) files.
+exhale:
+exhale:
+exhale: https://gitlab.com/ecodis/exhale
+exhale:
+exhale:
+exhale:
+exhale:
+exhale: